Summary:	Small applications which embed themselves in the MATE panel
Name:		mate-applets
Version:	1.14.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires: docbook-dtd412-xml
BuildRequires: docbook-dtd43-xml
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: pygtk2.0-devel
BuildRequires: libxml2-utils
BuildRequires: rarian
BuildRequires: sgml-common
BuildRequires: xsltproc
BuildRequires: mate-character-map-devel
BuildRequires: mate-panel-devel
BuildRequires: mate-icon-theme-devel
BuildRequires: mate-desktop-devel
BuildRequires: cpufrequtils-devel
BuildRequires: python-gobject3-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}mateweather-devel
BuildRequires: %{_lib}nm-util-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}polkit1-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}upower-glib-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}gtksourceview2-2.0_0-devel
BuildRequires: %{_lib}wnck1-devel
#----------------------------------------------
BuildConflicts: %{_lib}hal-devel
Requires:	dbus
Requires:	pygtk2.0-libglade
Requires:	usermode-consoleonly
#----------------------------------------------
Obsoletes: mate-netspeed

%description
MATE (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  MATE is similar in purpose and
scope to CDE and KDE, but MATE (like KDE) is based completely on Open Source
software.  The mate-applets package provides Panel applets which
enhance your MATE experience.

You should install the mate-applets package if you would like to abuse the
MATE desktop environment by embedding small utilities in the MATE panel.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--libexecdir=%{_libexecdir}/mate-applets \
	--enable-ipv6 \
	--enable-polkit \
	--enable-suid=no \
	--with-cpufreq-lib=cpufreq

%make

%install
rm -rf %{buildroot}
MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
%find_lang %{name} --with-gnome --all-name

%pre
if [ "$1" = "2" -a -d %{_libdir}/invest-applet ]; then
 /bin/rm -rf %{_libdir}/invest-applet 
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/dbus-1/system.d/org.mate.CPUFreqSelector.conf
%{_bindir}/*
%{_libexecdir}/mate-applets/*applet*
%{_datadir}/dbus-1/system-services/org.mate.CPUFreqSelector.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CPUFreqAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/mate-applets/*
%{_datadir}/mate-panel/applets/org.mate.applets.AccessxStatusApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.BattstatApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.CPUFreqApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.CharpickerApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.DriveMountApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.GeyesApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.MateWeatherApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.MultiLoadApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.StickyNotesApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.TrashApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.CommandAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TimerAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.command.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.timer.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.applets.CommandApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.applets.TimerApplet.mate-panel-applet
%{_datadir}/pixmaps/*
%{_datadir}/polkit-1/actions/org.mate.cpufreqselector.policy
%{_datadir}/help
%{_iconsdir}/hicolor/*/apps/*
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.cpufreq.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/mate/ui
%{_mandir}

%{_datadir}/dbus-1/services/org.mate.panel.applet.InvestAppletFactory.service
%{_datadir}/mate-panel/applets/org.mate.applets.InvestApplet.mate-panel-applet
/usr/lib/python2.7/site-packages/mate_invest

%{_datadir}/dbus-1/services/org.mate.panel.applet.NetspeedAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.netspeed.gschema.xml
%{_datadir}/icons/hicolor/16x16/devices/mate-netspeed-loopback.png
%{_datadir}/icons/hicolor/16x16/devices/mate-netspeed-plip.png
%{_datadir}/icons/hicolor/16x16/devices/mate-netspeed-ppp.png
%{_datadir}/icons/hicolor/24x24/status/mate-netspeed-wireless-100.png
%{_datadir}/icons/hicolor/24x24/status/mate-netspeed-wireless-25.png
%{_datadir}/icons/hicolor/24x24/status/mate-netspeed-wireless-50.png
%{_datadir}/icons/hicolor/24x24/status/mate-netspeed-wireless-75.png
%{_datadir}/mate-panel/applets/org.mate.applets.NetspeedApplet.mate-panel-applet


%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas


%clean
rm -rf  %{buildroot}

%changelog
* Tue Aug 09 2016 adrianomorselli <adriaomorselli> 1.14.0-1uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Sun Apr 03 2016 bb <bb> 1.12.1-3pclos2016
- rebuild against backported upower

* Fri Apr 01 2016 bb <bb> 1.12.1-2pclos2016
- rebuild for new upower

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.3-3pclos2015
- rebuild for updates

